### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-page-header/ecl-page-header-core/ecl-page-header-core.component.ts`

### Extends

`EclPageHeaderComponent`

### Metadata

selector | `ecl-page-header-core`
styles | `:host { display: block; }`
templateUrl | `./ecl-page-header-core.component.html`

### Index

###### Properties

- eclBreadcrumbComponent

###### Methods

- getBreadcrumbClass
- getBackgroundImage
- hasBackgroundImage
- getCssClasses

###### Inputs

- backgroundImage
- group
- class
- e2eAttr

###### HostBindings

- class

###### Accessors

- cssClasses

### Inputs

backgroundImage
Type : `string`
Default value : `null`

group
Type : `string`
Default value : `'2'`

class
Type : `string`

e2eAttr
Type : `any`

### HostBindings

class
Type : `any`

### Methods

getBreadcrumbClass
`getBreadcrumbClass()`
Returns : `string`

getBackgroundImage
`getBackgroundImage()`
Returns : `any`

hasBackgroundImage
`hasBackgroundImage()`
Returns : `boolean`

getCssClasses
`getCssClasses(rootClass: string)`

Parameters :

Name | Type | Optional
rootClass | `string` | No

Returns : `string`

### Properties

eclBreadcrumbComponent
Type : `EclBreadcrumbCoreComponent`
Decorators : `@ContentChild(EclBreadcrumbCoreComponent)`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""